#
# Be sure to run `pod lib lint test.podspec' to ensure this is a
# valid spec before submitting.
#
# Any lines starting with a # are optional, but their use is encouraged
# To learn more about a Podspec see http://guides.cocoapods.org/syntax/podspec.html
#

Pod::Spec.new do |s|
  s.name             = 'AGKit'
  s.version          = '0.4.3' # Replacing underscore by tiret for headers in requests
  s.summary          = 'AGKit allow any developer to earn money by using our Services'
# This description is used to generate tags and improve search results.
#   * Think: What does it do? Why did you write it? What is the focus?
#   * Try to keep it short, snappy and to the point.
#   * Write the description between the DESC delimiters below.
#   * Finally, don't worry about the indent, CocoaPods strips it!
  s.description      = 'AGKitCore is the mandatory dependency for every other Aboutgoods SDK Plugins'

  s.homepage         = 'https://aboutgoods-company.com'
  # s.screenshots     = 'www.example.com/screenshots_1', 'www.example.com/screenshots_2'
  s.license          = { :type => 'MIT', :file => 'LICENSE' }
  s.author           = { 'Aboutgoods Company' => 'contact@aboutgoods.net' }
  # s.social_media_url = 'https://twitter.com/<TWITTER_USERNAME>'

  s.ios.deployment_target = '10.0'
  s.source       = { :git => "https://gitlab.agoods.fr/dist/AGKit-iOS.git", :tag => s.version.to_s }
  s.library      = 'z'
  s.frameworks   = 'UIKit', 'Foundation'
  s.xcconfig     =  { 'FRAMEWORK_SEARCH_PATHS' => '"$(PODS_ROOT)/AGKit/"' }
  s.vendored_frameworks =  'AGKit.framework'
  s.requires_arc = true

  s.dependency 'Alamofire', '~> 4.8.1'
  s.dependency 'SwiftyJSON', '~> 4.0'
  s.dependency 'CryptoSwift', '~> 0.13.1'
  s.dependency 'SwiftMessages', '~> 6.0'
  s.source_files = 'AGKit.framework/Headers/*.{h}'

  #s.subspec 'AGKitCore' do |sp|
    #sp.source_files = 'AGKitCore.framework/Headers/*.{h}'
    #sp.vendored_frameworks = 'AGKitCore.framework'
    #sp.preserve_paths =  'AGKitCore.framework/*'
    # sp.dependency 'Instabug/InstabugCore'
    
  #end
  
  # s.resource_bundles = {
  #   'test' => ['test/Assets/*.png']
  # }

  # s.public_header_files = 'Pod/Classes/**/*.h'
  # s.frameworks = 'UIKit', 'MapKit'
  # s.dependency 'AFNetworking', '~> 2.3'
  s.swift_version = '4.2.1'
end
